<?php
ob_start();
require_once(__DIR__ . '/../Models/Subscription.php');


class SubscriptionController {
    private $subscriptionModel;

    public function __construct() {
        $this->subscriptionModel = new SubscriptionModel();
    }

    public function createSubscription($creator_id, $subscriber_id, $creator_name) {
        return $this->subscriptionModel->createSubscription($creator_id, $subscriber_id, $creator_name);
    }

    public function getSubscription($subscriber_id) {
        return $this->subscriptionModel->getSubscription($subscriber_id);
    }

    public function updateSubscription($creator_id, $subscriber_id, $status) {
        return $this->subscriptionModel->updateSubscription($creator_id, $subscriber_id, $status);
    }
}
?>