<?php
// app/controllers/ticketController.php
ob_start();
// require_once 'Ticket.php';
require_once(__DIR__ . '/../Models/Ticket.php');

class TicketController {
    private $ticketModel;

    public function __construct() {
        $this->ticketModel = new \Server\Models\TicketModel();
    }

    public function createTicket($name, $eventId) {
        return $this->ticketModel->createTicket($name, $eventId);
    }

    public function getTicket($ticketId) {
        return $this->ticketModel->getTicket($ticketId);
    }

    public function updateTicket($ticketId, $name, $eventId) {
        return $this->ticketModel->updateTicket($ticketId, $name, $eventId);
    }

    public function updateTicketByEventId($eventId, $name) {
        return $this->ticketModel->updateTicketByEventId($eventId, $name);
    }

    public function deleteTicket($ticketId) {
        return $this->ticketModel->deleteTicket($ticketId);
    }

    // public function previewTicket($ticketId) {
    //     $ticket = $this->getTicket($ticketId);
        
    //     include(__DIR__ . '/../Views/pembelian/pembelian.php');
    // }

    public function getEventTicketDetails($eventId) {
        $ticket = $this->ticketModel->getSmallestAvailableTicket($eventId);
        include(__DIR__ . '/../Views/pembelian/pembelian.php');
    }

    public function handleRequest() {
        if (isset($_GET['ticketAction'])) {
            if ($_GET['ticketAction'] === 'getTicket') {
                unset($_GET['ticketAction']);
                $eventId = $_GET['eventId'];
                $this->getEventTicketDetails($eventId);
                // header("Location: Views/pembelian/pembelian.php");
            } else {
                // Handle other actions here, if needed
            }
        }
    }
}
?>
