<?php
if (session_status() == PHP_SESSION_NONE) {
    // If a session is not already started, start a new one
    session_start();
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Login • TICKET KU</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
    <link rel="stylesheet" type="text/css" href="../../auth.css">
</head>

<body>
    <div class="login-container">
        <h1>Login</h1>
        <form id="loginForm" method="post" action="login">
            <!-- Aslinya email atau username bisa(?) -->
            <label for="email">Email or Username</label>
            <input type="text" id="identifier" name="loginIdentifier" required>
            
            <label for="password">Password</label>
            <input type="password" id="password" name="loginPassword" required>

            <?php
            // Check if there is an error message in the session
            if (isset($_SESSION['message'])) {
                echo '<p>' . $_SESSION['message'] . '</p>';
                unset($_SESSION['message']); // Remove the error message from the session
            }
            ?>
            <button type="submit" name="userAction" value="login">Login</button>
        </form>
        <p>Don't have an account? <a href="register">Register</a></p>
    </div>
</body>
</html>
