<?php
    if (session_status() == PHP_SESSION_NONE) {
        // If a session is not already started, start a new one
        session_start();
    }
?>
<!DOCTYPE html>
<html lang="en">

    <head>
        <title>Register • TICKET KU</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <link rel="stylesheet" type="text/css" href="../../auth.css">
    </head>

    <body>
        <div class="register-container">
            <h1>Register</h1>
            <form id="registerForm" method="post" action="register">
                <label for="userName">Name</label>
                <input type="text" id="userName" name="userName" required>

                <label for="userUsername">Username</label>
                <input type="text" id="userUsername" name="userUsername" required>

                <label for="userEmail">Email</label>
                <input type="email" id="userEmail" name="userEmail" required>

                <label for="userPassword">Password</label>
                <input type="password" id="userPassword" name="userPassword" required>

                <label for="isAdmin" class="checkbox-label">
                    Admin <input type="checkbox" id="isAdmin" name="isAdmin" value="1">
                </label>

                <?php
                // Check if there is an error message in the session
                if (isset($_SESSION['error_message'])) {
                    echo '<p>' . $_SESSION['error_message'] . '</p>';
                    unset($_SESSION['error_message']); // Remove the error message from the session
                }
                ?>

                <button type="submit" name="userAction" value="createUser">Register</button>
            </form>
            <p>Already have an account? <a href="login">Login</a></p>
        </div>
    </body>
</html>