<!DOCTYPE html>
<html lang="en">

<head>
        <title>Update Event</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="/../../styles/global.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/form.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/footer.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/navbar.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/container.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/auth.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/dropdown.css">
    </head>

    <body>
        <?php include '../template/navbar.php';?>
        <div class="main-content">
            <form method="post" class="event-form" action="../../router.php" enctype="multipart/form-data">
                <input type="hidden" name="userId" value="<?php echo $_SESSION['user_id']; ?>">
                <input type="text" name="user_name" placeholder="Name" required>
                <input type="text" name="user_username" placeholder="Username" required>
                <input type="email" name="user_email" placeholder="Email" required>
                <div id="button-container">
                    <button type="submit" name="userAction" value="editProfile">Save Changes</button>
                    <button type="button" id="cancelButton">Cancel</button>
                </div>
            </form>        
        </div>
        <?php include '../template/footer.php'; ?>
    <script>
        document.addEventListener("DOMContentLoaded", function(){
            var xhr = new XMLHttpRequest();

            xhr.open('GET', '../../router.php?userAction=getUser', true);

            // Set up a function to run when the request is successfully completed
            xhr.onload = function () {
                if (xhr.status >= 200 && xhr.status < 300) {
                    // Parse the JSON
                    var data = JSON.parse(xhr.responseText);

                    // Log and utilize data
                    document.querySelector('input[name="user_name"]').value = data.user_name;
                    document.querySelector('input[name="user_username"]').value = data.username;
                    document.querySelector('input[name="user_email"]').value = data.user_email;
                } else {
                    // Handle error: log status text
                    console.log('Failed to fetch user:', xhr.statusText);
                }
            };

            // Set up a function to handle any errors that may occur
            xhr.onerror = function () {
                console.error('Request failed:', xhr.statusText);
            };

            // Send the request
            xhr.send();
        });

        const cancelButton = document.getElementById("cancelButton");
        cancelButton.addEventListener("click", function() {
            window.location.href = "/app/Views/profile/view_profile.php";
        });
    </script>
    </body>
</html>
